Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.model
Interface PointIndexIterator

All Known Implementing Classes:
  DefaultPointIndexIterator, PicGroup.GroupPointIterator

public interface PointIndexIterator

An iterator over Element's control-point indices.

Method Summary
`boolean` | `hasNext()`
`int` | `next()`
`void` | `reset()` reset the state of this iterator

Method Detail

### hasNext

    public boolean hasNext()

  Returns:
    true if the iterator has more elements

### next

    public int next()

  Returns:
    the index of the next user-controlled point in the iteration

### reset

    public void reset()

  reset the state of this iterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org